︠4b648b4c-5b89-43e9-b8d9-35045a9a690dasi︠
%auto
typeset_mode(True, display=False)
︡aa9f44f6-ab25-46d6-8095-af5341bd0548︡{"done":true}
︠6b38c644-f22f-4d3e-8cbe-f2e5d6dcba71si︠
var('u,v');
def x(u,v):
    return u

def y(u,v):
    return u^2

def z(u,v):
    return u+v

C = parametric_plot3d((x(u,1),y(u,1),0),(u,0,2),color="green", thickness=6)
C1 = parametric_plot3d((x(u,1),y(u,1),x(u,1)+y(u,1)),(u,0,2),color="blue", thickness=6)
P = parametric_plot3d((u,v,z(u,v)),(u,0,2),(v,0,4), color="blue", opacity=.45)
S = parametric_plot3d((u,y(u,v),z(u,y(u,v))*v/4),(u,0,2),(v,0,4),color="lawngreen", opacity=0.25)

show(C+C1+P+S);
︡6cc5d6f3-5f48-4c08-8f54-f937ee60b06a︡{"html":"<div>($u$, $v$)</div>"}︡{"file":{"filename":"5d226cbc-9443-4d49-ac1d-d49e51bacd5d.sage3d","uuid":"5d226cbc-9443-4d49-ac1d-d49e51bacd5d"}}︡{"done":true}︡
︠e7ce0a85-5d9a-4c3a-bf89-bb21d0be932ci︠
%html
<p><span style="font-size: medium;"><strong>Exemple : </strong>On consid&egrave;re la fonction $f(x,y)=x+y$. En bleu on trouve la surface $z=f(x,y)$. La courbe verte, $\mathcal{C}$, est la courbe d'&eacute;quation $y=x^2$ dans le plan $Oxy$ (entre $x=0$ et $x=2$).&nbsp; On cherche &agrave; calculer l'aire de la surface verte :&nbsp; elle se trouve sur la courbe en question, mais sous la surface $z=f(x,y)$.</span></p>
<p><span style="font-size: medium;"><br />Pouir faire le calcul on divise la courbe verte (dont $\vec{r(t)}=(x(t),y(t))$, avec $a\leq t\leq b$ est une param&eacute;trisation), en plusieurs morceaux de droite, de longueur $\Delta s$, sur lesquels on b&acirc;tit des rectangles vers le haut, jusqu'&agrave; la surface bleue, puis on additionne. Chaque rectagle a une aire &eacute;gale &agrave; $f(x,y)\Delta s$. La somme vaut donc $\displaystyle \sum f(x,y) \Delta s$. Lors du passage &agrave; la limite (on prend de plus en plus de rectangles), on obtient une int&eacute;grale, l'int&eacute;grale de ligne $$ \int_\mathcal{C} f\, ds = \int_{a}^{b} f\circ \vec{r}(t) |\vec{r}'(t)|dt$$</span></p>
<p><span style="font-size: medium;"><br /></span></p>
<p><span style="font-size: medium;">Dans l'exemple pr&eacute;cis ci haut : $x(t)=t, y(t)= t^2$, de sorte que $\vec{r}'(t)=(1,2t)$, dont la norme est $\sqrt{1+4t^2}$, puis $f(x,y)=x+y$. Ainsi, l'aire cherch&eacute;e vaut :<span style="font-size: medium;"> $ \displaystyle \int_0^2 (t+t^2) \sqrt{1+4t^2} dt$</span><br style="font-size: medium;" /></span></p>

︡50cd45fd-f763-4137-a1db-4c835effec67︡{"done":true,"html":"<p><span style=\"font-size: medium;\"><strong>Exemple : </strong>On consid&egrave;re la fonction $f(x,y)=x+y$. En bleu on trouve la surface $z=f(x,y)$. La courbe verte, $\\mathcal{C}$, est la courbe d'&eacute;quation $y=x^2$ dans le plan $Oxy$ (entre $x=0$ et $x=2$).&nbsp; On cherche &agrave; calculer l'aire de la surface verte :&nbsp; elle se trouve sur la courbe en question, mais sous la surface $z=f(x,y)$.</span></p>\n<p><span style=\"font-size: medium;\"><br />Pouir faire le calcul on divise la courbe verte (dont $\\vec{r(t)}=(x(t),y(t))$, avec $a\\leq t\\leq b$ est une param&eacute;trisation), en plusieurs morceaux de droite, de longueur $\\Delta s$, sur lesquels on b&acirc;tit des rectangles vers le haut, jusqu'&agrave; la surface bleue, puis on additionne. Chaque rectagle a une aire &eacute;gale &agrave; $f(x,y)\\Delta s$. La somme vaut donc $\\displaystyle \\sum f(x,y) \\Delta s$. Lors du passage &agrave; la limite (on prend de plus en plus de rectangles), on obtient une int&eacute;grale, l'int&eacute;grale de ligne $$ \\int_\\mathcal{C} f\\, ds = \\int_{a}^{b} f\\circ \\vec{r}(t) |\\vec{r}'(t)|dt$$</span></p>\n<p><span style=\"font-size: medium;\"><br /></span></p>\n<p><span style=\"font-size: medium;\">Dans l'exemple pr&eacute;cis ci haut : $x(t)=t, y(t)= t^2$, de sorte que $\\vec{r}'(t)=(1,2t)$, dont la norme est $\\sqrt{1+4t^2}$, puis $f(x,y)=x+y$. Ainsi, l'aire cherch&eacute;e vaut :<span style=\"font-size: medium;\"> $ \\displaystyle \\int_0^2 (t+t^2) \\sqrt{1+4t^2} dt$</span><br style=\"font-size: medium;\" /></span></p>"}
︠b3a0c31d-5a71-47e7-a09b-36b212976325s︠
var('t')
integrate((t+t^2)*sqrt(1+4*t^2),t,0,2)
︡683efb11-438f-449f-91ab-8684d1cc68f2︡{"html":"<div>$t$</div>"}︡{"html":"<div>$\\frac{167}{48} \\, \\sqrt{17} - \\frac{1}{64} \\, \\operatorname{arsinh}\\left(4\\right) - \\frac{1}{12}$</div>"}︡{"done":true}
︠ffb8d947-b1e7-4d1b-8387-aba80eb50125i︠
%html
<p><span style="font-size: medium;">Une notion intimement reli&eacute;e &agrave; celle de l'int&eacute;grale de ligne <strong>d'une fonction $f$ sur une courbe $\mathcal{C}$,</strong> c'est &agrave; dire<strong> $\displaystyle \int_\mathcal{C} f ds$&nbsp; </strong>est celle d'int&eacute;grale d'un <strong>champ de vecteurs sur une courbe $\mathcal{C}$.</strong></span></p>
<p><span style="font-size: medium;">L'interpr&eacute;tation physique est relativement simple : on a une trajectoire $\mathcal{C}$, &agrave; l'int&eacute;rieur d'une r&eacute;gion dans laquelle agit un champ de forces $\vec{F}$. La question est alors : quel est le trafail effectu&eacute; par la force $\vec{F}$ lors du parcours de $\mathcal{C}$.</span></p>
<p><span style="font-size: medium;"><strong></strong>Pour faire ce calcul, on proc&egrave;de comme d'habitude : on d&eacute;coupe la trajectoire en morceaux de droite, assez petits pour supposer que le long de ces morceaux le champ $\vec{F}$ est constant. &Agrave; chque morceau on a donc un d&eacute;placement $\Delta \vec{r}$ qui est un segment de droite. Le travail correspondant &agrave; ce petit d&eacute;placement est le produit scalaire $\vec{F} \cdot \Delta \vec{r}$. Puis, comme d'habitude, on additionne tous ces petits travaux<strong>,&nbsp; </strong>puis on passe &agrave; la limite (en choisissant les intervalles de plus en plus petits). Ce qu'on obtient est <strong>l'int&eacute;grale du champ $\vec{F}$&nbsp; le long de $\mathcal{C}$.</strong></span></p>
<p><span style="font-size: medium;">Afin de calculer pour vrai, supposons que le tout se passe dans $\mathbb{R}^2$, c'est &agrave; dire que $\mathcal{C}$ es param&eacute;tris&eacute;e par $\vec{r}(t)=(x(t),y(t))$ pour $t\in[a,b]$ et $\vec{F}(x,y)=P(x,y)\vec{\iota} + Q(x,y)\vec{\jmath}$. Ainsi&nbsp; $\displaystyle&nbsp; d\vec{r} = (x'(t),y'(t))dt = \left(\frac{dx}{dt},\frac{dy}{dt}\right) dt$ et le produit scalaire devient $$\vec{F}\cdot&nbsp; d\vec{r} = (P,Q)\cdot \left(\frac{dx}{dy},\frac{dy}{dt}\right)dt = \left(P\frac{dx}{dt} + Q\frac{dy}{dt}\right)dt = \left(Px'(t) + Qy'(t)\right) dt&nbsp; $$ et on &eacute;crit souvent $Pdx + Qdy$, de sorte que l'int&eacute;grale devient: $$\int_\mathcal{C} \vec{F}\cdot d\vec{r} = \int_\mathcal{C} Pdx + Qdy $$</span></p>
<p><span style="font-size: medium;">Pour effectuer le calcul, on proc&egrave;de comme suit : $$\int_\mathcal{C} \vec{F}\cdot d\vec{r} = \int_\mathcal{C} Pdx + Qdy = \int_a^b P(x(t),y(t)) x'(t) + Q(x(t),y(t)) y'(t) dt$$<br /><br /><span style="font-size: medium;">La chose se fait en $\mathbb{R}^3$ en changeant ce qu'il faut changer : en gros, ajouter des $z(t)$ l&agrave; o&ugrave; il le faut, puis le terme $R dz$ si la troisi&egrave;me coposante du champ est $R(x,y,z)$.<strong><br /></strong></span></span></p>
<p><span style="font-size: medium;"><br /></span></p>

<p><strong><span style="font-size: medium;">Exemple : </span></strong><span style="font-size: medium;">Soit $\vec{F}(x,y) = x\sin{y}\vec{\imath} + y \vec{\jmath}$, et $\mathcal{C}$ la courbe de $(-1,1)$ &agrave; $(2,4)$ le long de la parabole $y=x^2$. Calculer le travail de $\vec{F}$ le long de $\mathcal{C}$.</span></p>
<p><span style="font-size: medium;"><strong>Solution :</strong> Une param&eacute;trisation de la courbe est $\vec{r}(t)=(t,t^2)$, avec $t\in[-1,2]$. <span style="font-size: medium;">Ainsi $\vec{r}'(t)=(x'(t),y'(t))=(1,2t)$</span>. Le travail est donc donn&eacute; par $$\int_\mathcal{C} \vec{F} \cdot d\vec{r} = \int_{-1}^2 x \sin{y}&nbsp; 1 + y 2t dt = \int_{-1}^2 t\sin{t^2} + 2t^3 dt$$<br /></span></p>

︡b7ae8af7-839f-4bf2-9bd7-cb5d15ee1c25︡{"done":true,"html":"<p><span style=\"font-size: medium;\">Une notion intimement reli&eacute;e &agrave; celle de l'int&eacute;grale de ligne <strong>d'une fonction $f$ sur une courbe $\\mathcal{C}$,</strong> c'est &agrave; dire<strong> $\\displaystyle \\int_\\mathcal{C} f ds$&nbsp; </strong>est celle d'int&eacute;grale d'un <strong>champ de vecteurs sur une courbe $\\mathcal{C}$.</strong></span></p>\n<p><span style=\"font-size: medium;\">L'interpr&eacute;tation physique est relativement simple : on a une trajectoire $\\mathcal{C}$, &agrave; l'int&eacute;rieur d'une r&eacute;gion dans laquelle agit un champ de forces $\\vec{F}$. La question est alors : quel est le trafail effectu&eacute; par la force $\\vec{F}$ lors du parcours de $\\mathcal{C}$.</span></p>\n<p><span style=\"font-size: medium;\"><strong></strong>Pour faire ce calcul, on proc&egrave;de comme d'habitude : on d&eacute;coupe la trajectoire en morceaux de droite, assez petits pour supposer que le long de ces morceaux le champ $\\vec{F}$ est constant. &Agrave; chque morceau on a donc un d&eacute;placement $\\Delta \\vec{r}$ qui est un segment de droite. Le travail correspondant &agrave; ce petit d&eacute;placement est le produit scalaire $\\vec{F} \\cdot \\Delta \\vec{r}$. Puis, comme d'habitude, on additionne tous ces petits travaux<strong>,&nbsp; </strong>puis on passe &agrave; la limite (en choisissant les intervalles de plus en plus petits). Ce qu'on obtient est <strong>l'int&eacute;grale du champ $\\vec{F}$&nbsp; le long de $\\mathcal{C}$.</strong></span></p>\n<p><span style=\"font-size: medium;\">Afin de calculer pour vrai, supposons que le tout se passe dans $\\mathbb{R}^2$, c'est &agrave; dire que $\\mathcal{C}$ es param&eacute;tris&eacute;e par $\\vec{r}(t)=(x(t),y(t))$ pour $t\\in[a,b]$ et $\\vec{F}(x,y)=P(x,y)\\vec{\\iota} + Q(x,y)\\vec{\\jmath}$. Ainsi&nbsp; $\\displaystyle&nbsp; d\\vec{r} = (x'(t),y'(t))dt = \\left(\\frac{dx}{dt},\\frac{dy}{dt}\\right) dt$ et le produit scalaire devient $$\\vec{F}\\cdot&nbsp; d\\vec{r} = (P,Q)\\cdot \\left(\\frac{dx}{dy},\\frac{dy}{dt}\\right)dt = \\left(P\\frac{dx}{dt} + Q\\frac{dy}{dt}\\right)dt = \\left(Px'(t) + Qy'(t)\\right) dt&nbsp; $$ et on &eacute;crit souvent $Pdx + Qdy$, de sorte que l'int&eacute;grale devient: $$\\int_\\mathcal{C} \\vec{F}\\cdot d\\vec{r} = \\int_\\mathcal{C} Pdx + Qdy $$</span></p>\n<p><span style=\"font-size: medium;\">Pour effectuer le calcul, on proc&egrave;de comme suit : $$\\int_\\mathcal{C} \\vec{F}\\cdot d\\vec{r} = \\int_\\mathcal{C} Pdx + Qdy = \\int_a^b P(x(t),y(t)) x'(t) + Q(x(t),y(t)) y'(t) dt$$<br /><br /><span style=\"font-size: medium;\">La chose se fait en $\\mathbb{R}^3$ en changeant ce qu'il faut changer : en gros, ajouter des $z(t)$ l&agrave; o&ugrave; il le faut, puis le terme $R dz$ si la troisi&egrave;me coposante du champ est $R(x,y,z)$.<strong><br /></strong></span></span></p>\n<p><span style=\"font-size: medium;\"><br /></span></p>\n\n<p><strong><span style=\"font-size: medium;\">Exemple : </span></strong><span style=\"font-size: medium;\">Soit $\\vec{F}(x,y) = x\\sin{y}\\vec{\\imath} + y \\vec{\\jmath}$, et $\\mathcal{C}$ la courbe de $(-1,1)$ &agrave; $(2,4)$ le long de la parabole $y=x^2$. Calculer le travail de $\\vec{F}$ le long de $\\mathcal{C}$.</span></p>\n<p><span style=\"font-size: medium;\"><strong>Solution :</strong> Une param&eacute;trisation de la courbe est $\\vec{r}(t)=(t,t^2)$, avec $t\\in[-1,2]$. <span style=\"font-size: medium;\">Ainsi $\\vec{r}'(t)=(x'(t),y'(t))=(1,2t)$</span>. Le travail est donc donn&eacute; par $$\\int_\\mathcal{C} \\vec{F} \\cdot d\\vec{r} = \\int_{-1}^2 x \\sin{y}&nbsp; 1 + y 2t dt = \\int_{-1}^2 t\\sin{t^2} + 2t^3 dt$$<br /></span></p>"}
︠68c9e612-c395-409f-a700-892c5c03b340s︠
x,y,t = var('x,y,t')
Champ=plot_vector_field( (x*sin(y), y), (x, -2, 3), (y, -1, 5), color="blue",aspect_ratio=1)
Courbe=parametric_plot([t,t^2],(t,-1,2),color='red',thickness=3)
show(Courbe+Champ)
︡e1ae87e6-4c0a-47e6-b821-f1b651b4f1be︡{"file":{"filename":"/home/user/.sage/temp/project-376921f2-eda3-44fc-b33d-1550746c3549/319/tmp_KKPCr4.svg","show":true,"text":null,"uuid":"ee99ac9c-5f01-4357-bff0-019d5d78367f"},"once":false}︡{"done":true}
︠1856b05d-aba5-41ff-8d24-a30397e4d5b9s︠
integrate(t*sin(t^2)+2*t^3,t,-1,2)
︡8e8e7675-6cc7-4b5c-9cef-d574573870e9︡{"html":"<div>$-\\frac{1}{2} \\, \\cos\\left(4\\right) + \\frac{1}{2} \\, \\cos\\left(1\\right) + \\frac{15}{2}$</div>"}︡{"done":true}
︠bfa40f2e-d31e-4cf8-974c-6f8d276a15d5i︠
%html
<p><strong><span style="font-size: large;">Exercice: </span></strong><span style="font-size: large;">Calcul du travail effectu&eacute; par le champ de force $\vec{F}(x,y)=x^2\vec{\iota} -xy\vec{\jmath}$ pour d&eacute;placer une particule du point $(1,0)$ au point $(0,1)$ le long du cercle $x^2+y^2=1$.</span></p>
<p><span style="font-size: large;"><br /></span></p>
<p><span style="font-size: large;">On voit, d'apr&egrave;s la figure que le travail devrait &ecirc;tre n&eacute;gatif : la force s'oppose au mouvement.</span></p>

︡6cadb931-9881-4f96-b9c6-00e717382eac︡{"html": "<p><strong><span style=\"font-size: large;\">Exercice: </span></strong><span style=\"font-size: large;\">Calcul du travail effectu&eacute; par le champ de force $\\vec{F}(x,y)=x^2\\vec{\\iota} -xy\\vec{\\jmath}$ pour d&eacute;placer une particule du point $(1,0)$ au point $(0,1)$ le long du cercle $x^2+y^2=1$.</span></p>\n<p><span style=\"font-size: large;\"><br /></span></p>\n<p><span style=\"font-size: large;\">On voit, d'apr&egrave;s la figure que le travail devrait &ecirc;tre n&eacute;gatif : la force s'oppose au mouvement.</span></p>"}︡
︠882b0dae-e119-4506-84ff-9ddcca7146a8s︠
var('x,y,t')
Champ=plot_vector_field((x^2,-x*y),(x,-0.2,1.2),(y,-0.2,1.2), color = 'blue')
Courbe=parametric_plot([cos(t),sin(t)],(t,0,pi/2),color='red',thickness=3)
show(Champ+Courbe)
︡262c0e23-dd80-4df8-9fd4-8addc3e6a69b︡{"html":"<div>($x$, $y$, $t$)</div>"}︡{"file":{"filename":"/home/user/.sage/temp/project-376921f2-eda3-44fc-b33d-1550746c3549/319/tmp_ik06BL.svg","show":true,"text":null,"uuid":"8a96bf69-db0b-45c2-8dc8-921b0a8378b6"},"once":false}︡{"done":true}
︠e906b7ed-8486-4cb8-b002-e971095a5517s︠
def x(t) :
	return cos(t)

def y(t) :
	return sin(t)

integrate(x(t)^2 *-y(t) -x(t)*y(t)*x(t), t,0,pi/2)
︡b01231d2-aa19-4204-9eef-7bce40a9a98a︡{"html":"<div>$-\\frac{2}{3}$</div>"}︡{"done":true}
︠e11fdec5-3ada-4cd5-9030-9cb75da7ce27i︠
%md
## Exemple
### Calcul du travail de $\mathbf{F} = x\mathbf{e}_1 + y\mathbf{e}_2+z\mathbf{e}_3$ sur la courbe donnée par $\mathbf{r}(t) = (\sin t, \cos t, t)$ pour $t\in [0, 2\pi]$
︡db0e4704-7210-4386-99dd-ee0c85041f70︡{"done":true,"md":"## Exemple\n### Calcul du travail de $\\mathbf{F} = x\\mathbf{e}_1 + y\\mathbf{e}_2+z\\mathbf{e}_3$ sur la courbe donnée par $\\mathbf{r}(t) = (\\sin t, \\cos t, t)$ pour $t\\in [0, 2\\pi]$"}
︠add779e8-19f5-4d8e-a578-b53002f2476asi︠
var('x y z')
Courbe = parametric_plot3d([sin(t), cos(t), t], (t,0,2*pi), color = "green", thickness = 2)
Champ = plot_vector_field3d((x,y,z), (x,-2,2), (y,-2,2), (z,0,2*pi), plot_points=6, center_arrows=False)
show(Champ + Courbe)
︡0bd43011-d159-427b-8e52-16aa5b061765︡{"html":"<div>($x$, $y$, $z$)</div>"}︡{"file":{"filename":"65d1e738-cff9-4faa-babf-94f3094994b1.sage3d","uuid":"65d1e738-cff9-4faa-babf-94f3094994b1"}}︡{"done":true}
︠5c743275-1dff-4fed-a7d9-2c97b0127b05oi︠
%html
<p><strong><span style="font-size: medium;">Exemple : </span></strong><span style="font-size: medium;">Un autre exemple, le champ de vecteurs est $\vec{F}(x,y) = -\frac{y}{\sqrt{x^2+y^2}}\vec{\iota} + \frac{x}{\sqrt{x^2+y^2}}\vec{\jmath}$. On consid&eacute;re deux trajectoires pour aller du point $(1,0)$ au point $(-1,0)$, l'une suivant la moiti&eacute; sup&eacute;rieure du cercle $x^2+y^2=1$, et l'autre suivant la moiti&eacute; inf&eacute;rieure. Dans le premier cas, le travail devrait &ecirc;tre positif, dans le second, n&eacute;gatif.</span></p>

︡f81366ed-63ae-4100-9c71-3f8bf4a33edc︡{"html": "<p><strong><span style=\"font-size: medium;\">Exemple : </span></strong><span style=\"font-size: medium;\">Un autre exemple, le champ de vecteurs est $\\vec{F}(x,y) = -\\frac{y}{\\sqrt{x^2+y^2}}\\vec{\\iota} + \\frac{x}{\\sqrt{x^2+y^2}}\\vec{\\jmath}$. On consid&eacute;re deux trajectoires pour aller du point $(1,0)$ au point $(-1,0)$, l'une suivant la moiti&eacute; sup&eacute;rieure du cercle $x^2+y^2=1$, et l'autre suivant la moiti&eacute; inf&eacute;rieure. Dans le premier cas, le travail devrait &ecirc;tre positif, dans le second, n&eacute;gatif.</span></p>"}︡
︠8d17829c-162f-4857-8ddd-b21069f3b6d2s︠
var('x,y,t')
Champ=plot_vector_field( (-y/sqrt(x^2+y^2), x/sqrt(x^2+y^2)), (x, -1.2, 1.2), (y, -1.2, 1.2),color="blue",aspect_ratio=1)
C1=parametric_plot([cos(t),sin(t)],(t,0,pi), color="green", thickness=3)
C2=parametric_plot([cos(t),-sin(t)],(t,0,pi), color="red", thickness=3)
show(Champ + C1 + C2)
︡6e513777-1971-4ec5-88bd-0cddca6f4528︡{"html":"<div>($x$, $y$, $t$)</div>"}︡{"file":{"filename":"/home/user/.sage/temp/project-376921f2-eda3-44fc-b33d-1550746c3549/319/tmp_6vx600.svg","show":true,"text":null,"uuid":"8d188e9a-cb4c-4e01-8e4e-eca5e3a4543b"},"once":false}︡{"done":true}
︠23e20ab5-104e-4020-b608-7be184ed26fcs︠
var('x,y,t')
Champ=plot_vector_field( [2*(x-y),2*(y-x)], (x, -3, 3), (y, -3, 3),color="blue",aspect_ratio=1)
C1=parametric_plot([2*cos(t),2*sin(t)],(t,0,2*pi), color="green", thickness=3)
show(Champ)
︡b57e0251-691f-41f0-a08f-9709a9f5c104︡{"html":"<div>($x$, $y$, $t$)</div>"}︡{"file":{"filename":"/home/user/.sage/temp/project-376921f2-eda3-44fc-b33d-1550746c3549/319/tmp_TvY3yd.svg","show":true,"text":null,"uuid":"e3ae573f-c6ac-4d9d-9197-ae3dd1b92204"},"once":false}︡{"done":true}
︠ca4bc0bc-c6a6-4519-938c-9e27e01e3751︠

︠ed324447-3d18-497d-8619-6a09c882adcf︠









